# Uncomment the next line to define a global platform for your project
platform :ios, '11.0'

target 'bookme' do
  # Comment the next line if you're not using Swift and don't want to use dynamic frameworks
  use_frameworks!

  # Pods for bookme

## FIREBASE AND AUTH ##

pod 'Firebase/Core'
pod 'Firebase/Messaging'
pod 'FirebaseInstanceID'
pod 'Firebase/Auth'
pod 'Firebase/Database'
pod 'Firebase/Storage'
pod 'Firebase/Performance'

pod 'FacebookCore'
pod 'FacebookLogin'

pod 'GoogleMaps'
pod 'GooglePlaces'
pod 'GoogleSignIn'
pod 'Fabric', '~> 1.7.6'
pod 'Crashlytics', '~> 3.10.1'

##
## IMAGE ##

pod "ImageSlideshow/SDWebImage"
pod 'Kingfisher'
pod 'OpalImagePicker'
pod "Agrume"

##
##  UI Pod ##

pod 'ACFloatingTextfield-Swift'
pod 'Cosmos'
pod 'BEMCheckBox'
pod 'SVProgressHUD'
pod "Koyomi"
pod 'JSQMessagesViewController'
pod "CenteredCollectionView"
pod 'StatusAlert', '~> 1.1.1'
pod 'SwiftMessages'
pod "BWWalkthrough"
pod 'Parchment'
pod 'TransitionableTab', '~> 0.2.0'

##
## SYSTEMS HELPER ##

pod 'Alamofire'
pod 'AlamofireImage', '~> 3.5'
pod 'ActionSheetPicker-3.0'
pod 'IQKeyboardManagerSwift', '6.3.0'
pod 'KMPlaceholderTextView', '~> 1.4.0'
pod 'SwiftHash'
pod 'SwiftDate'
pod 'SwiftyJSON'
pod 'CRRefresh'
pod "DeepLinkKit"

##
pod 'OpenTok'

post_install do |installer|

		installer.pods_project.targets.each do |target|
        target.build_configurations.each do |config|
            config.build_settings['DEBUG_INFORMATION_FORMAT'] = 'dwarf'
        end
    end

    installer.pods_project.build_configurations.each do |config|
        config.build_settings.delete('CODE_SIGNING_ALLOWED')
        config.build_settings.delete('CODE_SIGNING_REQUIRED')
	      config.build_settings['SWIFT_VERSION'] = '4.0'
    end
end



  target 'bookmeTests' do
    inherit! :search_paths
    # Pods for testing
  end

  target 'bookmeUITests' do
    inherit! :search_paths
    # Pods for testing
  end

end
